package xyz.tbvns.LWJGL3;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Camera;
import com.badlogic.gdx.utils.viewport.ScreenViewport;

public class CustomViewport extends ScreenViewport {
    public CustomViewport (Camera camera) {
        setCamera(camera);
    }



    @Override
    public void update(int screenWidth, int screenHeight, boolean centerCamera) {
        setScreenBounds(200, 200, screenWidth, screenHeight - 200);
//        setScreenPosition();
        setWorldSize(Gdx.graphics.getWidth() - 200, Gdx.graphics.getHeight() - 200);
        apply(centerCamera);
    }

    @Override
    public void apply(boolean centerCamera) {
        super.apply(centerCamera);
    }
}
